libmspack

Data Fields
msszddd_header Struct Reference

A structure which represents an SZDD compressed file. More...

`#include <mspack.h>`

## Data Fields
int | format
| The file format; either MSSZDD_FMT_NORMAL or MSSZDD_FMT_QBASIC. More...
off_t | length
| The amount of data in the SZDD file once uncompressed. More...
char | missing_char
| The last character in the filename, traditionally replaced with an underscore to show the file is compressed. More...

## Detailed Description

A structure which represents an SZDD compressed file.

All fields are READ ONLY.

## Field Documentation

## ◆ format

int msszddd_header::format

The file format; either MSSZDD_FMT_NORMAL or MSSZDD_FMT_QBASIC.

## ◆ length

off_t msszddd_header::length

The amount of data in the SZDD file once uncompressed.

## ◆ missing_char

char msszddd_header::missing_char

The last character in the filename, traditionally replaced with an underscore to show the file is compressed.

The null character is used to show that this character has not been stored (e.g. because the filename is not known). Generally, only characters that may appear in an MS-DOS filename (except ".") are valid.

The documentation for this struct was generated from the following file:

- mspack.h